VREGeneratorInterface (VRE Management ASL Extension 6.9.0-4.12.0-129683 API)
Date: 2018-07-19

org.gcube.application.framework.vremanagement.vremanagement

## Interface VREGeneratorInterface

- All Known Implementing Classes:
    VREGeneratorEvo

      public interface VREGeneratorInterface

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.gcube.vremanagement.vremodeler.utils.reports.DeployReport` | `checkVREStatus()`
    `void` | `deployVRE()`
    `int` | `getCloudVMSelected()`
    `List<org.gcube.vremanagement.vremodel.cl.stubs.types.FunctionalityItem>` | `getFunctionality()`
    `List<org.gcube.vremanagement.vremodel.cl.stubs.types.GHN>` | `getGHNs()`
    `org.gcube.vremanagement.vremodel.cl.stubs.types.GHNsPerFunctionality[]` | `getGHNsPerFunctionality()`
    `org.gcube.vremanagement.vremodel.cl.stubs.types.FunctionalityNodes` | `getSelectedFunctionality()`
    `String` | `getVREepr()`
    `org.gcube.vremanagement.vremodel.cl.stubs.types.VREDescription` | `getVREModel()`
    `boolean` | `isCloudAvailable()`
    `boolean` | `isCloudSelected()`
    `void` | `removeVRE(org.gcube.application.framework.core.session.ASLSession session, String id)`
    `boolean` | `setCloudDeploy(int virtualMachines)`
    `void` | `setFunctionality(Integer[] funcIds, org.gcube.vremanagement.vremodel.cl.stubs.types.SelectedResourceDescriptionType[] selResDesc)`
    `void` | `setGHNs(String[] selectedGHNIds)`
    `void` | `setVREModel(String VREName, String VREDescription, String VREDesigner, String VREManager, long startTime, long endTime)`
    `void` | `setVREtoPendingState()`
    `void` | `undeployVRE(String id)`

- - ### Method Detail

    - #### checkVREStatus

          org.gcube.vremanagement.vremodeler.utils.reports.DeployReport checkVREStatus()
                                                                                throws RemoteException

      Returns:
        what the vVRE modeler returns
      Throws:
        `RemoteException`

    - #### deployVRE

          void deployVRE()
                  throws RemoteException

      Throws:
        `RemoteException`

    - #### getGHNs

          List<org.gcube.vremanagement.vremodel.cl.stubs.types.GHN> getGHNs()
                                                                     throws RemoteException

      Returns:
        what the vVRE modeler returns
      Throws:
        `RemoteException`

    - #### getVREModel

          org.gcube.vremanagement.vremodel.cl.stubs.types.VREDescription getVREModel()
                                                                              throws RemoteException

      Returns:
        what the vVRE modeler returns
      Throws:
        `RemoteException`

    - #### getFunctionality

          List<org.gcube.vremanagement.vremodel.cl.stubs.types.FunctionalityItem> getFunctionality()
                                                                                            throws Exception

      Returns:
        what the vVRE modeler returns
      Throws:
        `RemoteException`
        `Exception`

    - #### getSelectedFunctionality

          org.gcube.vremanagement.vremodel.cl.stubs.types.FunctionalityNodes getSelectedFunctionality()
                                                                                               throws Exception

      Throws:
        `Exception`

    - #### setGHNs

          void setGHNs(String[] selectedGHNIds)
                throws RemoteException

      Parameters:
        `selectedGHNIds` - the GHNs selected
      Throws:
        `RemoteException`

    - #### getGHNsPerFunctionality

          org.gcube.vremanagement.vremodel.cl.stubs.types.GHNsPerFunctionality[] getGHNsPerFunctionality()
                                                                                                  throws RemoteException

      Returns:
        GHNsPerFunctionality
      Throws:
        `RemoteException`

    - #### setVREModel

          void setVREModel(String VREName,
                           String VREDescription,
                           String VREDesigner,
                           String VREManager,
                           long startTime,
                           long endTime)
                    throws RemoteException

      Parameters:
        `VREName` - the VRE name
        `VREDescription` - a description for the VRE
        `VREDesigner` - the VRE designer
        `VREManager` - the VRE manager
        `startTime` - start time
        `endTime` - end time
      Throws:
        `RemoteException`

    - #### setVREtoPendingState

          void setVREtoPendingState()
                             throws RemoteException

      Throws:
        `RemoteException`

    - #### setFunctionality

          void setFunctionality(Integer[] funcIds,
                                org.gcube.vremanagement.vremodel.cl.stubs.types.SelectedResourceDescriptionType[] selResDesc)
                         throws RemoteException

      Parameters:
        `csIDElement` -
        `functionalityIDElement` -
      Throws:
        `RemoteException`

    - #### getVREepr

          String getVREepr()

      Returns:

    - #### isCloudAvailable

          boolean isCloudAvailable()

    - #### setCloudDeploy

          boolean setCloudDeploy(int virtualMachines)

    - #### isCloudSelected

          boolean isCloudSelected()

    - #### removeVRE

          void removeVRE(org.gcube.application.framework.core.session.ASLSession session,
                         String id)

    - #### undeployVRE

          void undeployVRE(String id)

    - #### getCloudVMSelected

          int getCloudVMSelected()

Copyright © 2018. All Rights Reserved.